﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LINQDemos.LanguageChanges
{
    public class Customer
    {
        private Int32 _id;
        private string _name;

        public Customer(Int32 id)
        {
            _id = id;
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public Int32 Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public override string ToString()
        {
            return string.Format("{0} ({1})", _name, _id.ToString());
        }
    }

    static class ShowObjectInitializers
    {
        public static void InitCustomer()
        {
            Customer cust = new Customer(123) { Name = "Bob" };
            Console.WriteLine(cust.ToString());
        }
    }
}
