﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LINQDemos.LinqToEntities
{
    public static class LinqToEntitySample
    {
        public static void QueryViaLinq()
        {
            NorthwindModel.NorthwindEntities db = new NorthwindModel.NorthwindEntities();

            var orders = from o in db.Orders
                         orderby o.Customers.CompanyName
                         where o.Customers.CustomerID == "ANTON"
                         select new { o.Customers.CompanyName, o.OrderID, o.OrderDate };
                            

            foreach (var order in orders)
            {
                Console.WriteLine("{0} OrderId: {1} Date:{2}", order.CompanyName, order.OrderID, order.OrderDate);
            }
                        
        }

    }
}
