﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LINQDemos.LanguageChanges
{
    public interface IQuackable
    {
        string Quack();
    }

    public sealed class Duck : IQuackable
    {

        #region IQuackable Members

        public string Quack()
        {
            return "QUACK!";
        }

        #endregion
    }

    //public static class DuckExtension
    //{
    //    public static string DelayedQuack(this IQuackable quackable, Int32 delay)
    //    {
    //        System.Threading.Thread.Sleep(delay);
    //        return quackable.Quack();
    //    }
    //}

    public static class ShowExtensionMethods
    {

        public static void Go()
        {
            Duck duck = new Duck();
            Console.WriteLine(duck.Quack());
            //Console.WriteLine(duck.DelayedQuack(3000));
        }
    }
}
